edu.isi.pegasus.planner.catalog.site.classes

## Class XML4PrintVisitor

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.AbstractXMLPrintVisitor
  - - edu.isi.pegasus.planner.catalog.site.classes.XML4PrintVisitor

All Implemented Interfaces:
  SiteDataVisitor

    public class XML4PrintVisitor
    extends AbstractXMLPrintVisitor

Prints the Site Catalog compatible with Site Catalog schema version 4 https://pegasus.isi.edu/wms/docs/schemas/sc-4.0/sc-4.0.html

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `SCHEMA_LOCATION` The "not-so-official" location URL of the DAX schema definition.
`static java.lang.String` `SCHEMA_NAMESPACE` The "official" namespace URI of the site catalog schema.
`static java.lang.String` `SCHEMA_VERSION` The version to report.

### Fields inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractXMLPrintVisitor

`mCurrentIndentIndex, mNewLine, mWriter`

### Constructor Summary

Constructors
Constructor and Description
`XML4PrintVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `depart(Connection c)` Depart the connection object
`void` `depart(Directory directory)` Depart the shared directory
`void` `depart(FileServer server)` Depart the Directory object
`void` `depart(GridGateway entry)` Depart the GridGateway object
`void` `depart(ReplicaCatalog catalog)` Depart the ReplicaCatalog object
`void` `depart(SiteCatalogEntry entry)` Depart the Site Catalog Entry object.
`void` `depart(SiteStore store)` Depart the Site Store object.
`void` `visit(Connection c)` Visit the connection object
`void` `visit(Directory directory)` Visit the directory object
`void` `visit(FileServer server)` Visit FileServer site data object
`void` `visit(GridGateway gateway)` Visit the GridGateway object
`void` `visit(ReplicaCatalog catalog)` Visit the ReplicaCatalog object
`void` `visit(SiteCatalogEntry entry)` Visit the Site CatalogEntry object
`void` `visit(SiteStore store)` Visit the SiteStore object

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractXMLPrintVisitor

`closeElement, decrementIndentIndex, depart, getCurrentIndent, getNextIndent, incrementIndentIndex, initialize, visit, writeAttribute, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMA_NAMESPACE

    public static final java.lang.String SCHEMA_NAMESPACE

The "official" namespace URI of the site catalog schema.

See Also:
  Constant Field Values

#### SCHEMA_LOCATION

    public static final java.lang.String SCHEMA_LOCATION

The "not-so-official" location URL of the DAX schema definition.

See Also:
  Constant Field Values

#### SCHEMA_VERSION

    public static final java.lang.String SCHEMA_VERSION

The version to report.

See Also:
  Constant Field Values

### Constructor Detail

#### XML4PrintVisitor

    public XML4PrintVisitor()

### Method Detail

#### visit

    public void visit(SiteStore store)
               throws java.io.IOException

Visit the SiteStore object

Parameters:
  `store` - the site store
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    public void depart(SiteStore store)
                throws java.io.IOException

Depart the Site Store object.

Parameters:
  `store` - the SiteStore
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    public void visit(SiteCatalogEntry entry)
               throws java.io.IOException

Visit the Site CatalogEntry object

Parameters:
  `entry` - the site catalog entry
Throws:
  `java.io.IOException` - in case of problem of writing

#### depart

    public void depart(SiteCatalogEntry entry)
                throws java.io.IOException

Depart the Site Catalog Entry object.

Parameters:
  `entry` - the site catalog entry
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    public void visit(GridGateway gateway)
               throws java.io.IOException

Visit the GridGateway object

Parameters:
  `gateway` - the grid gateway
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    public void depart(GridGateway entry)
                throws java.io.IOException

Depart the GridGateway object

Parameters:
  `entry` - GridGateway object
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    public void visit(Directory directory)
               throws java.io.IOException

Visit the directory object

Parameters:
  `directory` - the directory
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    public void depart(Directory directory)
                throws java.io.IOException

Depart the shared directory

Parameters:
  `directory` - the directory
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    public void visit(FileServer server)
               throws java.io.IOException

Visit FileServer site data object

Parameters:
  `server` - the object corresponding to the FileServer
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    public void depart(FileServer server)
                throws java.io.IOException

Depart the Directory object

Parameters:
  `server` - the object corresponding to the FileServer
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    public void visit(ReplicaCatalog catalog)
               throws java.io.IOException

Visit the ReplicaCatalog object

Parameters:
  `catalog` - the object describing the catalog
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    public void depart(ReplicaCatalog catalog)
                throws java.io.IOException

Depart the ReplicaCatalog object

Parameters:
  `catalog` - the object describing the catalog
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    public void visit(Connection c)
               throws java.io.IOException

Visit the connection object

Parameters:
  `c` - the connection.
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    public void depart(Connection c)
                throws java.io.IOException

Depart the connection object

Parameters:
  `c` - the connection.
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream